Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el
Class CapturingELResolver

    java.lang.Object
      javax.el.ELResolver
          org.richfaces.el.ELResolverWrapper
              org.richfaces.el.CapturingELResolver

    public class CapturingELResolver

extends org.richfaces.el.ELResolverWrapper

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`CapturingELResolver(javax.el.ELResolver resolver)`

Method Summary
`Object` | `getBase()`
`Object` | `getProperty()`
`Class<?>` | `getType(javax.el.ELContext context, Object base, Object property)`
`Object` | `getValue(javax.el.ELContext context, Object base, Object property)`

Methods inherited from class org.richfaces.el.ELResolverWrapper
`getCommonPropertyType, getFeatureDescriptors, isReadOnly, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturingELResolver

    public CapturingELResolver(javax.el.ELResolver resolver)

Method Detail

### getValue

    public Object getValue(javax.el.ELContext context,
                           Object base,
                           Object property)

  Overrides:
    `getValue` in class `org.richfaces.el.ELResolverWrapper`

### getType

    public Class<?> getType(javax.el.ELContext context,
                            Object base,
                            Object property)

  Overrides:
    `getType` in class `org.richfaces.el.ELResolverWrapper`

### getBase

    public Object getBase()

### getProperty

    public Object getProperty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.